Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /file//download

Mit diesem Endpunkt laden Sie die llms.txt-Datei einer Website herunter. Der Header Content-Disposition löst im Browser einen Download aus. Öffentlicher Endpunkt ohne Authentifizierung.

Pfadparameter

siteId
string
erforderlich
Kennung der Website.

Abfrageparameter

full
boolean
Standard:"false"
Bei true wird die Variante mit Volltext jeder Seite heruntergeladen.

Antwort

Die Antwort ist die Datei llms.txt mit passenden Headern:
  • Content-Type: text/plain; charset=utf-8
  • Content-Disposition: attachment; filename="{hostname}-llms.txt"
  • Cache-Control: public, max-age=300
Der Dateiname wird aus dem Hostnamen der Website abgeleitet (z. B. example-com-llms.txt bzw. example-com-llms-full.txt für die Volltextvariante).
curl -X GET https://api.llmgenerator.com/api/v1/file/550e8400-e29b-41d4-a716-446655440000/download \
  -o llms.txt